<div class="relative bg-gray-50 overflow-hidden rounded-lg md:rounded-xl lg:rounded-2xl">
  <% image = product.gallery.images.first %>
  <%= render(ImageComponent.new(
    image: image,
    size: size,
    class: 'w-full object-cover'
  )) %>
  <div class="absolute flex flex-col items-center justify-center gap-y-2 lg:gap-y-4 inset-x-6 bottom-6 lg:inset-x-8 lg:bottom-8">
    <%= render partial: "shared/call_to_action", :locals => { :label => "Shop now", :url => product } %>
  </div>
</div>